﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WGneu.Models {
    [Table("contract"), PrimaryKey("Vnr")]
    public class Contract {
        [Column("vnr")]
        public int Vnr { get; set; }

        [Column("mgnr")]
        public int MgNr { get; set; }

        [Column("year_from")]
        public int YearFrom { get; set; }

        [Column("year_to")]
        public int? YearTo { get; set; }

        [ForeignKey("MgNr")]
        public virtual Member Member { get; set; }
    }
}
